{% extends 'root.html' %}

{% load i18n microsocial %}

{% block context %}
    <h1 class="text-center">{% trans 'поиск людей'|capfirst %}</h1>

        <div class="row">
        <div class="col-sm-5">
            <form class="form-horizontal">
                <div class="form-group">
                    <label for="{{ form.names.id_for_label }}" class="col-md-5 control-label">
                        {{ form.names.label|capfirst }}:
                    </label>
                    <div class="col-md-7">
                        {{ form.names }}
                    </div>
                </div>
                <div class="form-group">
                    <label for="{{ form.sex.id_for_label }}" class="col-md-5 control-label">
                        {{ form.sex.label|capfirst }}:
                    </label>
                    <div class="col-md-7">
                        {{ form.sex }}
                    </div>
                </div>
                <div class="form-group">
                    <label for="{{ form.start_year.id_for_label }}" class="col-md-5 control-label">
                        {% trans 'год рождения'|capfirst %}:
                    </label>
                    <div class="col-md-7">
                        <div class="row">
                            <div class="col-xs-6">
                                {{ form.start_year }}
                            </div>
                            <div class="col-xs-6">
                                {{ form.end_year }}
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label for="{{ form.city.id_for_label }}" class="col-md-5 control-label">
                        {{ form.city.label|capfirst }}:
                    </label>
                    <div class="col-md-7">
                        {{ form.city }}
                    </div>
                </div>
                <div class="form-group">
                    <label for="{{ form.work_place.id_for_label }}" class="col-md-5 control-label">
                        {{ form.work_place.label|capfirst }}:
                    </label>
                    <div class="col-md-7">
                        {{ form.work_place }}
                    </div>
                </div>
                <div class="form-group">
                    <label for="{{ form.about.id_for_label }}" class="col-md-5 control-label">
                        {{ form.about.label|capfirst }}:
                    </label>
                    <div class="col-md-7">
                        {{ form.about }}
                    </div>
                </div>
                <div class="form-group">
                    <label for="{{ form.interests.id_for_label }}" class="col-md-5 control-label">
                        {{ form.interests.label|capfirst }}:
                    </label>
                    <div class="col-md-7">
                        {{ form.interests }}
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-offset-5 col-md-7">
                        <button type="submit" class="btn btn-primary">{% trans 'искать'|capfirst %}</button>
                    </div>
                </div>
            </form>
        </div>
        <div class="col-sm-7">
            {% include 'show_messages.html' %}
            {% for usr in users %}
                <div class="row" style="margin: 10px">
                    <div class="col-md-2">
                        <img src="{{ usr|get_avatar }}" height="100px" width="100px"/>
                    </div>
                    <div class="col-md-10">
                        <a href="{% url 'profile' usr.pk %}">{{ usr.get_full_name }}</a>
                        {% with age=usr.get_age %}
                            {% if age %}
                                <p>{% blocktrans %}{{ age }} лет{% endblocktrans %}</p>
                            {% endif %}
                        {% endwith %}
                        {% if usr.city %}
                            <p>{{ usr.city }}</p>
                        {% endif %}
                    </div>
                </div>
            {% endfor %}
            {% show_paginator users request_get=get %}
        </div>
    </div>
{% endblock %}